classification
Title: installation problem with python 2.4.1 on Win2k system
Type: Stage:
Components: Installation Versions: Python 2.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: facundobatista, georg.brandl, loewis, mmkobayashi, terry.reedy
Priority: normal Keywords:

Created on 2005-05-11 12:50 by mmkobayashi, last changed 2008-06-21 20:44 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
py2.4.1_w2kinstallprobsnip.log mmkobayashi, 2005-05-13 07:40
Messages (9)
msg25278 - (view) Author: mmkobayashi (mmkobayashi) Date: 2005-05-11 12:50
After several attempts to install python2.4.1 on a win2k 
systems with doing all windows updates, we have been 
unable to install python2.4.1 on this system. We have 
attached an error logfile. The main thing that happens is 
that the install proceeds as normal but at some point 
the install decides that something has gone wrong and 
uninstalls itself.

Any help in this matter would be greatly appreciated.
msg25279 - (view) Author: mmkobayashi (mmkobayashi) Date: 2005-05-12 05:53
Logged In: YES 
user_id=1273313

add file
msg25280 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2005-05-19 00:48
Logged In: YES 
user_id=593130

Help questions should better be directed to comp.lang.python == 
python mailing list == gmane.comp.python.general.  The answers 
you get should help determine whether there is a bug in the 
install file distributed by PSF that should be reported here.  

Given that the install appeared to go ok until it tried to remove the 
existing files, I wonder whether there is a process running in the 
background that is using the existing install.  That issue has been 
discussed on the python group recently.
msg25281 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2005-05-19 01:01
Logged In: YES 
user_id=593130

You might also check out http://python.org/sf/1199947
msg25282 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-05-20 21:35
Logged In: YES 
user_id=21627

The log file appears to be manually truncated. Can you
please provide the full log file?

Are you by any chance running the MSI file from a SUBSTed drive?
msg25283 - (view) Author: mmkobayashi (mmkobayashi) Date: 2005-05-26 07:17
Logged In: YES 
user_id=1273313

Yes, the logfile is indeed manually truncated. I could not 
upload the unmodified file which is greater than 2 Mbytes
Any suggestions how I can get the log file to you.

I was not using a SUBSTed drive. 

Python 2.4.1 installed fine on a similarly configured machine
but can not get past this bug.
msg25284 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-05-26 18:09
Logged In: YES 
user_id=21627

Please try to zip the logfile. If it is then still too
large, please put it on some webserver under your control,
and post the URL here. If you have no access to a webserver,
please mail it to martin.vonloewis@hpi.uni-potsdam.de
msg25285 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-10-01 17:08
Logged In: YES 
user_id=1188172

mmkobayashi, can you try the 2.4.2 package?
msg68539 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-06-21 20:30
Can we close this? The OP didn't answer for almost three years... and
the 2.4 to download is now 2.4.5...
History
Date User Action Args
2008-06-21 20:44:24loewissetstatus: open -> closed
resolution: wont fix
2008-06-21 20:30:43facundobatistasetnosy: + facundobatista
messages: + msg68539
2005-05-11 12:50:53mmkobayashicreate